LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::embed::EmbedUpdateModes Constant Group Referencepublished

The constant set specifies possible modes of object update. More...

## Variables
const long | ALWAYS_UPDATE = 0
| An object representation should be updated as often as possible. More...
const long | EXPLICIT_UPDATE = 1
| An object representation should be updated only in case of request. More...

## Detailed Description

The constant set specifies possible modes of object update.

See also
  XEmbeddedObject

## Variable Documentation

## ◆ ALWAYS_UPDATE

const long ALWAYS_UPDATE = 0

An object representation should be updated as often as possible.

Any time object detects that it is changed the representation of the object is updated.

## ◆ EXPLICIT_UPDATE

const long EXPLICIT_UPDATE = 1

An object representation should be updated only in case of request.

The representation of the object is updated only by explicit request.